> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search defaults by country

> <Warning>

**⚠️ Deprecated — this endpoint will be removed on July 31, 2026.** Migrate to the [Network Partner API](/api-reference/network-partners); see the [migration guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).

</Warning>

Returns a list of default fiat currencies and payment methods per country.



## OpenAPI

````yaml /openapi/serviceproviders-20260203.json get /service-providers/properties/defaults/by-country
openapi: 3.1.0
info:
  title: SERVICE PROVIDERS
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: >+
    <Warning>


    **⚠️ Deprecated — this endpoint will be removed on July 31, 2026.** Migrate
    to the [Network Partner API](/api-reference/network-partners); see the
    [migration
    guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).


    </Warning>

servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Service Provider
paths:
  /service-providers/properties/defaults/by-country:
    get:
      tags:
        - Service Provider
      summary: Search defaults by country
      description: >-
        <Warning>


        **⚠️ Deprecated — this endpoint will be removed on July 31, 2026.**
        Migrate to the [Network Partner API](/api-reference/network-partners);
        see the [migration
        guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).


        </Warning>


        Returns a list of default fiat currencies and payment methods per
        country.
      operationId: service-providers-properties-defaults-by-country-search
      parameters:
        - name: accountFilter
          in: query
          description: >-
            Filter by account configuration. Will only include properties
            supported by the service providers configured for the account of the
            API authentication token used.
          required: false
          schema:
            type: boolean
            default: false
        - name: countries
          in: query
          description: A comma separated list of countries.
          required: false
          schema:
            type: string
        - name: categories
          in: query
          description: >-
            A comma separated list of service provider categories. Valid values
            are:
            BANK_LINKING,CRYPTO_OFFRAMP,CRYPTO_ONRAMP,CRYPTO_TRANSFER,CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP,CRYPTO_VIRTUAL_ACCOUNT_ONRAMP,FIAT_PAYMENTS.
            Note: CRYPTO_ONRAMP_SWAP and CRYPTO_OFFRAMP_SWAP are server-driven
            and cannot be requested directly.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Search successful
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DefaultsPerCountry'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      deprecated: true
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DefaultsPerCountry:
      type: object
      description: Defaults Per Country.
      properties:
        countryCode:
          type: string
          description: Two-letter code (ISO 3166-1 alpha-2) for the Country.
        defaultCurrencyCode:
          type: string
          description: The code for this Fiat Currency.
        defaultPaymentMethods:
          type: array
          description: The identifier for the Payment Method
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````